<html>
<head>
<title>OGRE: Ogre::Compiler2Pass::TokenRule Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Compiler2Pass.html">Compiler2Pass</a>::<a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenRule.html">TokenRule</a></div>
<h1>Ogre::Compiler2Pass::TokenRule Struct Reference</h1><!-- doxytag: class="Ogre::Compiler2Pass::TokenRule" -->structure used to build rule paths  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1Compiler2Pass_1_1TokenRule-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenRule.html#69f2706e657be0b7cc17596c76f37f12">TokenRule</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenRule.html#9de29ce9324207202916b98855fd1142">TokenRule</a> (const <a class="el" href="classOgre_1_1Compiler2Pass.html#4da37e02a01d11e4aa512ff997f425e1">OperationType</a> ot, const size_t token)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Compiler2Pass.html#4da37e02a01d11e4aa512ff997f425e1">OperationType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenRule.html#1463e6a3c061270ea478449eb43bf2e8">operation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenRule.html#151cad01d56d6a872daf5de8cdb7957d">tokenID</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
structure used to build rule paths 
<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00164">164</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="69f2706e657be0b7cc17596c76f37f12"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenRule::TokenRule" ref="69f2706e657be0b7cc17596c76f37f12" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Compiler2Pass::TokenRule::TokenRule           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00169">169</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9de29ce9324207202916b98855fd1142"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenRule::TokenRule" ref="9de29ce9324207202916b98855fd1142" args="(const OperationType ot, const size_t token)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Compiler2Pass::TokenRule::TokenRule           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Compiler2Pass.html#4da37e02a01d11e4aa512ff997f425e1">OperationType</a>&nbsp;</td>
          <td class="paramname"> <em>ot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const size_t&nbsp;</td>
          <td class="paramname"> <em>token</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00170">170</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="1463e6a3c061270ea478449eb43bf2e8"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenRule::operation" ref="1463e6a3c061270ea478449eb43bf2e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Compiler2Pass.html#4da37e02a01d11e4aa512ff997f425e1">OperationType</a> <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenRule.html#1463e6a3c061270ea478449eb43bf2e8">Ogre::Compiler2Pass::TokenRule::operation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00166">166</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="151cad01d56d6a872daf5de8cdb7957d"></a><!-- doxytag: member="Ogre::Compiler2Pass::TokenRule::tokenID" ref="151cad01d56d6a872daf5de8cdb7957d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Compiler2Pass_1_1TokenRule.html#151cad01d56d6a872daf5de8cdb7957d">Ogre::Compiler2Pass::TokenRule::tokenID</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompiler2Pass_8h-source.html#l00167">167</a> of file <a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCompiler2Pass_8h-source.html">OgreCompiler2Pass.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:22 2008
</p>
</body>
</html>
